Last Comment Bug 180955 - Remove dual-license from test files
: Remove dual-license from test files
Status: VERIFIED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Bugzilla-General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Bugzilla 2.18
Assigned To: Zach Lipton [:zach]
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-19 13:13 PST by Zach Lipton [:zach]
Modified: 2012-12-18 20:46 PST (History)
5 users (show)
justdave: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (7.13 KB, patch)
2002-12-08 10:57 PST, Zach Lipton [:zach]
justdave: review+
bugreport: review+
jake: review+
ddkilzer: review+
gerv: review+
zach: review+
bbaetz: review+
Details | Diff | Splinter Review

Description Zach Lipton [:zach] 2002-11-19 13:13:56 PST
Sorry this took me so long to file, but we need to look into the use of the dual
(or is it tri?) license in some of the tests. If we find that we need to, I can
roll them back to MPL-only (iirc, all the contributors are those active in
Bugzilla development).
Comment 1 Gervase Markham [:gerv] 2002-11-19 16:12:32 PST
Here's my view: the Mozilla project picked the tri-license for particular
reasons which are applicable to Mozilla, and in order to promote wide use of its
code. Those reasons do not, in my view, apply to Bugzilla. In addition, I know
there are some Bugzilla contributors who don't like the tri-license (Hixie, for
one.) 

Any attempt to tri-license the entirety of Bugzilla would be a large effort for
extremely little gain. We would need to contact anyone who'd ever contributed a
patch - and that's a lot of people. 

If we are not going to tri-license the entire app, then I also think it's wrong
to tri-license parts of it. We have found the hard way that having different
licenses on different bits of code merely causes extreme confusion.

I therefore think we should leave the Bugzilla standard licenses as MPL-only,
and bring all files into line with that.

Gerv
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2002-12-05 23:46:43 PST
I'm with Gerv....  if you can make said arrangements with the existing
contributors on the files that are currently multiply licensed, get them all
changed back to MPL-only.
Comment 3 Gervase Markham [:gerv] 2002-12-06 00:26:06 PST
Dave: who is "you"? :-) That is, am I responsible for fixing this or is Zach?

Gerv
Comment 4 Dave Miller [:justdave] (justdave@bugzilla.org) 2002-12-06 09:52:09 PST
I was assuming Zach, since he's the one that asked, and he's also the one that
initially put the multi-license on most of those files.
Comment 5 Zach Lipton [:zach] 2002-12-08 10:23:32 PST
To: joel, jake, justdave, ddk, and gerv, 

According to bonsai, you have all made changes to a test file covered by the
dual-license (due to my fault in putting it there in the first place). In order
to fix this problem (it has been decided that we just want MPL for all files),
it would be great if you could pleast grant permission to relicense your code. 

I also grant permission to MPL (only MPL) my code. 

I'll post a patch soon, but I can't apply it without permission. 
Comment 6 Zach Lipton [:zach] 2002-12-08 10:57:21 PST
Created attachment 108680 [details] [diff] [review]
Patch
Comment 7 Dave Miller [:justdave] (justdave@bugzilla.org) 2002-12-08 12:32:32 PST
Comment on attachment 108680 [details] [diff] [review]
Patch

to all the people I just requested reviews from on this patch:	granting review
on this patch indicates your willingness to have your code in the testing suite
relicensed as MPL-only (eliminating the dual MPL/GPL license).
Comment 8 Bradley Baetz (:bbaetz) 2002-12-08 23:19:42 PST
Comment on attachment 108680 [details] [diff] [review]
Patch

I'm sure I've touched test files somewhere...
Comment 9 David D. Kilzer (ddk) 2002-12-09 06:50:47 PST
Comment on attachment 108680 [details] [diff] [review]
Patch

I grant permission to change the license on the code I contributed 
to Bugzilla (in test and anywhere else).

Hopefully I'll have some time to start working on Bugzilla again soon. :^)
Comment 10 Zach Lipton [:zach] 2002-12-09 14:32:48 PST
Patch checked in, I'm pretty sure (did a search for it) that I got all the
GPL's, if you catch any that I missed, please let me know. 
Comment 11 timeless 2002-12-09 17:14:08 PST
http://lxr.mozilla.org/webtools/search?string=gpl
vrfy fixed

Note You need to log in before you can comment on or make changes to this bug.